-- Display some information about the people who helped
-- Some information about whom to thank

local credits = {};

-- Translation help
credits[FBConstants.ROLE_TRANSLATE_ZHTW] = {
	["machihchung"] = { "CurseForge 1/2/2010" },
	["Indra (Eastern.Stories)"] = { "Version 0.9.3", "Version 0.9.3i", "Version 0.9.4", "Version 0.9.4b", "Version 0.9.7d", },
	["Whocare on bahamut"] = { "a gamer forum of influence in Taiwan 11/24/2007", },
};

credits[FBConstants.ROLE_TRANSLATE_ZHCN] = {
	["biAji"] = { "Version 0.9.3d" },
	["wowuicon"] = { "CurseForge" },
	["yahooor"] = { "CurseForge" },
};

credits[FBConstants.ROLE_TRANSLATE_DEDE] = {
	["Leidbringer"] = { "Version 0.9.7d", },
	["Chinkuwaila"] = { "Version 0.8.9", },
	["blackrat"] = { "Version 0.8.1d", },
};

credits[FBConstants.ROLE_TRANSLATE_FRFR] = {
	["krogh"] = { "Version  0.8.7", },
	["Corwin Whitehorn"] = { "Version  0.8.5", },
};

credits[FBConstants.ROLE_TRANSLATE_ESES] = {
	["Fili"] = { "Version 0.8.6b", "Version  0.9.7d", },
};

credits[FBConstants.ROLE_TRANSLATE_KOKR] = {
	["maknae"] = { "CurseForge" },
	["post"] = { "CurseForge" },
};

credits[FBConstants.ROLE_TRANSLATE_RURU] = {
	["StingerSoft"] = { "Version 0.9.8l", "CurseForge" },
	["hellquister"] = { "CurseForge" },
	["D_Angel"] = { "CurseForge" },
};

-- Testers/bug fixers
credits[FBConstants.ROLE_HELP_BUGS] = {
	["Goose and Moleculor"] = { "fishing skill-up help", },
	["Shadrin"] = { "text cleanup and bug fixes", },
	["ZeroKnowledge"] = { "automatic lure improvements", },
	["dwex"] = { "bug fixes", },
	["Saur"] = { "Nat Pagle's Fishing Terminator", },
	["Draznar"] = { "for the Fishing FAQ and style!", },
	["bsmorgan@wowui"] = { "Minimap button radius improvements" },
};

-- Ideas and suggestions
credits[FBConstants.ROLE_HELP_SUGGESTIONS] = {
	["secutanudu"] = { "turn on sound in background while fishing", },
	["Lufunpsy"] = { "turn up particle density when fishing", },
	["mysticalos"] = { "turn off PvP while fishing", },
	["Lrdx"] = { "count tastyfish in your bag instead of as you catch them",
				 "only fish in schools during Extravaganza", },
	["Alcasius"] = { "multi-machine database merge", },
	["SBaL"] = { "mute everything but bobber sounds", },
	["Xantandor"] = { "more summary information while fishing", },
	["zino"] = { "remove quest items from the list of things caught", },
	["Daisyvondoom"] = { "separate out Pygmy fish from counts", },
	["Dark Imakuni"] = { "save the show fish/locations choice",
						"Force item slot empty in ODF",
						"Titan Panel support",
						"only show counts -- no percentages", },
	["LBlaze"] = { "display both lifetime and current fish info in the watcher", },
	["Valzic"] = { "Save helm/cloak settings per outfit", },
	["KayJayDK"] = { "remember tastyfish pool locations", },
	["Bruntlief"] = { "Track cycle fish", },
	["Buio"] = { "Show current zone in watcher", },
	["Tarklash"] = { "Minimap icon", },
	["Anakar"] = { "elapsed fishing time", },
	["Valzic"] = { "show current skill level in watcher", },
	["Vreejack"] = { "Gatherer integration", },
	["truefreak"] = { "display total fish caught all time and this session", },
	["Yeoman and RamahP"] = { "save fishing level information", },
	["RamahP"] = { "lost fish count", },
	["Ravynne"] = { "ZOMG *all* the pets!", },
};

credits[FBConstants.ROLE_ADDON_AUTHORS] = {
	["x87bliss"] = { "FishWarden", },
	["Mundocani"] = { "Outfitter", },
	["The Cosmos Team"] = { "TackleBox", },
	["Impp"] = { "Impp's Fishing DB", },
	["Iriel"] = { "QuickWeaponSwap", "DevTools", },
	["Esamynn"] = { "Astrolabe", },
	["ckknight"] = { "LibTourist-3.0", "LibBabble-Zone-3.0", "LibCrayon-3.0", },
	["Arrowmaster"] = { "LibTourist-3.0", },
	["Odica"] = { "LibTourist-3.0", },
	["Ackis"] = { "LibBabble-Zone-3.0", },
	["Nevcairiel"] = { "LibBabble-Zone-3.0", "LibStub", "LibBabble-SubZone-3.0", "CallbackHandler-1.0", },
	["Kaelten"] = { "LibStub", },
	["Ammo"] = { "LibStub", },
	["Cladhaire"] = { "LibStub", },
	["mikk"] = { "LibStub", "CallbackHandler-1.0", },
	["arith"] = { "LibBabble-SubZone-3.0", },
	["Dynaletik"] = { "LibBabble-SubZone-3.0", },
	["Tekkub"] = { "LibDataBroker-1.1", },
	["Cryect (cryect@gmail.com)"] = { "LibGraph-2.0", },
	["Xinhuan"] = { "LibGraph-2.0", },
};

local AboutEvents = {};
AboutEvents["VARIABLES_LOADED"] = function()	
	FishingBuddy.OptionsFrame.HandleOptions(FBConstants.ABOUT_TAB, "Interface\\Icons\\Inv_Misc_Questionmark", AboutOptions);
end
